Documentation Index
Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
Use this file to discover all available pages before exploring further.
The Usage API sends system usage data to Lucidworks. See System Usage Monitor for details.
ImportantThe Usage API is removed in Fusion 5.x.
Examples
Get the latest data that will be sent to Lucidworks on the next run:
INPUT
curl -u USERNAME:PASSWORD https://FUSION_HOST:8764/api/usage
OUTPUT
[ {
"type" : "GAUGE",
"name" : "solr.clusters",
"value" : 3
}, {
"type" : "GAUGE",
"name" : "solr.nodes",
"value" : 2
}, {
"type" : "RATE",
"name" : "recommender.itemsForQuery.timer.rate",
"value" : 0
}, {
"type" : "RATE",
"name" : "recommender.queriesForItem.timer.rate",
"value" : 0
}, {
"type" : "GAUGE",
"name" : "nodes",
"value" : 2
}, {
"type" : "RATE",
"name" : "recommender.queriesForItem.counter.rate",
"value" : 0
}, {
"type" : "RATE",
"name" : "recommender.itemsForItem.timer.rate",
"value" : 0
}, {
"type" : "RATE",
"name" : "recommender.itemsForQuery.counter.rate",
"value" : 0
}, {
"type" : "RATE",
"name" : "recommender.itemsForItem.counter.rate",
"value" : 0
} ]